Bug 246713 - USB unstable since F7
USB unstable since F7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 07:02 EDT by Richard Körber
Modified: 2009-01-09 02:09 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:09:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Körber 2007-07-04 07:02:44 EDT
Description of problem:
Since F7, my system's USB is working unstable and very strange:

* When I turn on my printer (Canon Pixma iP4000), it is detected. Anyhow when I
try to print, sometimes the printer is reported as not being available,
sometimes the print request is just consumed but not printed, some other times
everything works fine. Whe the printer does not print, I have to reboot the
system. Just disconnecting and reconnecting the printer is not sufficient.

* My scanner (Canon CanoScan LIDE20) is detected, but when I try to scan with
SANE, sometimes SANE shows no error, but seems to scan a black paper. I have to
reboot the system several times to get it working again.

* Sometimes (especially when I turn on the printer), my USB mouse crashes. Then
the mouse pointer position seems to be updated only two times a second. I have
to reboot the system to get the mouse working again.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3194.fc7
kernel-2.6.21-1.3228.fc7

How reproducible:
Sometimes, when connecting or disconnecting an USB device. No problems occured
with USB memory sticks yet, though.

Steps to Reproduce:
1. Install F7, use an USB mouse
2. Connect and disconnect USB peripherals (like printers, scanners)
3. Try to use those USB peripherals, watch the mouse pointer
  
Actual results:
USB is unstable.

Expected results:
USB works as stable as it did on FC6.

Additional info:
I have made a clean F7 installation, no upgrade from FC6.

Seemingly independent of the problems, my system sometimes suddenly starts to
produce a LOT of those messages in /var/log/message:

Jul  4 02:36:00 monique kernel: hub 5-8:1.0: activate --> -110
Jul  4 02:36:00 monique kernel: hub 5-8:1.0: hub_port_status failed (err = -108)
Jul  4 02:36:00 monique last message repeated 3 times

with the following message repeated about every two seconds until I reboot the
system:

Jul  4 02:36:02 monique kernel: hub 5-8:1.0: activate --> -108
Jul  4 02:36:02 monique kernel: hub 5-8:1.0: hub_port_status failed (err = -108)
Jul  4 02:36:02 monique last message repeated 3 times


Before the mouse starts jerking, I am getting this message in /var/log/messages:

Jul  4 11:38:10 monique kernel: irq 16: nobody cared (try booting with the
"irqpoll" option)
Jul  4 11:38:10 monique kernel:  [<c0452a3e>] __report_bad_irq+0x36/0x75
Jul  4 11:38:10 monique kernel:  [<c0452c1c>] note_interrupt+0x19f/0x1db
Jul  4 11:38:10 monique kernel:  [<c0566ab3>] usb_hcd_irq+0x21/0x4e
Jul  4 11:38:10 monique kernel:  [<c045210e>] handle_IRQ_event+0x1a/0x3f
Jul  4 11:38:10 monique kernel:  [<c04533b1>] handle_fasteoi_irq+0x86/0xa6
Jul  4 11:38:10 monique kernel:  [<c045332b>] handle_fasteoi_irq+0x0/0xa6
Jul  4 11:38:10 monique kernel:  [<c04072bb>] do_IRQ+0xac/0xd1
Jul  4 11:38:10 monique kernel:  [<c0419c45>] smp_apic_timer_interrupt+0x74/0x80
Jul  4 11:38:10 monique kernel:  [<c04058ff>] common_interrupt+0x23/0x28
Jul  4 11:38:10 monique kernel:  [<c0403d60>] default_idle+0x0/0x3e
Jul  4 11:38:10 monique kernel:  [<c0403d8c>] default_idle+0x2c/0x3e
Jul  4 11:38:10 monique kernel:  [<c04033d6>] cpu_idle+0xa3/0xc4
Jul  4 11:38:10 monique kernel:  [<c071bb5f>] start_kernel+0x435/0x43d
Jul  4 11:38:10 monique kernel:  [<c071b25a>] unknown_bootoption+0x0/0x202
Jul  4 11:38:10 monique kernel:  =======================
Jul  4 11:38:10 monique kernel: handlers:
Jul  4 11:38:10 monique kernel: [<c0566a92>] (usb_hcd_irq+0x0/0x4e)
Jul  4 11:38:10 monique last message repeated 4 times
Jul  4 11:38:10 monique kernel: Disabling IRQ #16
Comment 1 Chuck Ebbert 2007-07-05 12:17:56 EDT
Try booting with the kernel parameter "usbcore.autosuspend=0"

That will be the default in the next kernel release.
Comment 2 Chuck Ebbert 2007-07-06 14:18:22 EDT
Kernel 2.6.21-1.3255 is in testing now with patches to fix this. Please test.
Comment 3 Richard Körber 2007-07-18 10:33:40 EDT
"usbcore.autosuspend=0" really resolved this problem. I haven't had any USB
issues since.

I don't want try testing kernels on my machine though. Sorry.
Comment 4 Richard Körber 2007-11-11 11:58:31 EST
Reopening this bug for F8. With kernel-2.6.23.1-49.fc8 and without
"usbcore.autosuspend" option, the bug occurs again as described in the opening
comment.
Comment 5 Christopher Brown 2008-01-16 18:10:50 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 6 Joseph Shraibman 2008-01-16 20:03:55 EST
I still have a problem with 2.6.23.9-85.fc8 even with usbcore.autosuspend=0
Comment 7 Chuck Ebbert 2008-01-16 20:14:59 EST
That is now "usbcore.autosuspend=-1" in 2.6.22+
Comment 8 Joseph Shraibman 2008-01-18 12:22:56 EST
Changing it to -1 seems to have fixed by usb.
Comment 9 Joseph Shraibman 2008-01-18 12:31:33 EST
BTW the smolt info for my system: 
http://www.smolts.org/show?UUID=810e7126-1c69-4aff-b8b1-9db0fa8aa15a
Comment 10 Bug Zapper 2008-11-26 02:23:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:09:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.